ghc-9.6.3: The GHC API

Safe Haskell | Safe-Inferred
Language | Haskell2010

GHC.Core.Rules.Config

Synopsis

- data RuleOpts = RuleOpts {
  - roPlatform :: !Platform
  - roNumConstantFolding :: !Bool
  - roExcessRationalPrecision :: !Bool
  - roBignumRules :: !Bool
  }

# Documentation

data RuleOpts Source #

Rule options

Constructors

RuleOpts |

Fields

- roPlatform :: !Platform

  Target platform

- roNumConstantFolding :: !Bool

  Enable more advanced numeric constant folding

- roExcessRationalPrecision :: !Bool

  Cut down precision of Rational values to that of Float/Double if disabled

- roBignumRules :: !Bool

  Enable rules for bignums